module.exports = function (mappings) {
	[
		{ id: 'icecream', position: [1, 4] },
		{ id: 'butter', position: [3, 5] },
		{ id: 'sugar', position: [5, 1] }

		// { id: '', position: [#, #] },
	].forEach(function (map) {
		map.id = 'ars-botanica.items.' + map.id;
		map.sheet = map.sheet || 'ars-botanica.cuisine.items';
		mappings.push(map);
	});

	[
		{ id: 'egg', position: [1, 9] }

		// { id: '', position: [#, #] },
	].forEach(function (map) {
		map.id = 'ars-botanica.items.' + map.id;
		map.sheet = map.sheet || 'ars-botanica.harvest-festival.items';
		mappings.push(map);
	});

	[
		{ id: 'cookie', position: [0, 0] },
		{ id: 'chocolate', position: [1, 0] },
		{ id: 'tea', position: [2, 0] },
		// { id: '', position: [3, 0] },
		{ id: 'maple-syrup', position: [4, 0] },
		// { id: '', position: [5, 0] },
		{ id: 'uramaki', position: [6, 0] },
		{ id: 'maki', position: [7, 0] },
		// { id: '', position: [8, 0] },
		{ id: 'pighead', position: [9, 0] },
		{ id: 'jam-orange', position: [10, 0] },
		{ id: 'jam-strawberry', position: [11, 0] },
		{ id: 'apple', position: [12, 0] },
		{ id: 'apple-rotten', position: [13, 0] },
		{ id: 'turnip', position: [14, 0] },
		{ id: 'potato', position: [15, 0] },
		{ id: 'egg-cooked', position: [16, 0] },
		{ id: 'honey', position: [17, 0] },
		{ id: 'pineapple', position: [18, 0] },
		{ id: 'bacon', position: [19, 0] },
		{ id: 'beer', position: [20, 0] },
		{ id: 'steak', position: [21, 0] },
		// { id: '', position: [22, 0] },
		{ id: 'fish-cooked', position: [23, 0] },
		{ id: 'cheese', position: [24, 0] },
		{ id: 'chicken', position: [25, 0] },
		{ id: 'bread', position: [26, 0] },
		{ id: 'eggplant', position: [27, 0] },
		{ id: 'pepper-red', position: [28, 0] },
		{ id: 'pepper-green', position: [29, 0] },
		// { id: '', position: [30, 0] },
		// { id: '', position: [31, 0] },
		{ id: 'tomato', position: [32, 0] },
		{ id: 'strawberry', position: [33, 0] },
		{ id: 'peach', position: [34, 0] },
		{ id: 'kiwi', position: [35, 0] },
		{ id: 'pie-1', position: [36, 0] },
		{ id: 'pie-2', position: [37, 0] },
		{ id: 'pie-3', position: [38, 0] },
		{ id: 'pickle', position: [39, 0] },
		{ id: 'pretzel', position: [40, 0] },
		{ id: 'sausage', position: [41, 0] },
		// { id: '', position: [42, 0] },
		// { id: '', position: [43, 0] },
		// { id: '', position: [44, 0] },
		{ id: 'potato-red', position: [45, 0] },
		{ id: 'melon-1', position: [46, 0] },
		{ id: 'melon-2', position: [47, 0] },
		{ id: 'melon-3', position: [48, 0] },
		// { id: '', position: [49, 0] },
		{ id: 'drumstick', position: [50, 0] },
		{ id: 'cherry', position: [51, 0] },
		// { id: '', position: [52, 0] },
		// { id: '', position: [53, 0] },
		// { id: '', position: [54, 0] },
		// { id: '', position: [55, 0] },
		{ id: 'avocado', position: [56, 0] },
		// { id: '', position: [57, 0] },
		// { id: '', position: [58, 0] },
		{ id: 'olive', position: [59, 0] },
		// { id: '', position: [60, 0] },
		// { id: '', position: [61, 0] },
		{ id: 'onion', position: [62, 0] },
		{ id: 'shrimp', position: [63, 0] },

		{ id: 'potion-empty', position: [0, 0] },
		{ id: 'potion-red', position: [1, 0] },
		{ id: 'potion-yellow', position: [2, 0] },
		{ id: 'potion-blue', position: [3, 0] },
		{ id: 'potion-purple', position: [4, 0] },
		{ id: 'potion-pink', position: [5, 0] },
		{ id: 'potion-green', position: [6, 0] },
		{ id: 'potion-olive', position: [7, 0] },
		{ id: 'potion-black', position: [8, 0] },
		{ id: 'potion-white', position: [9, 0] },
		{ id: 'potion-lime', position: [0, 0] },
		{ id: 'potion-magenta', position: [11, 0] },
		{ id: 'potion-water', position: [12, 0] },
		{ id: 'potion-rainbow', position: [13, 0] },
		{ id: 'potion2-empty', position: [14, 0] },
		{ id: 'potion2-red', position: [15, 0] },
		{ id: 'potion2-yellow', position: [16, 0] },
		{ id: 'potion2-blue', position: [17, 0] },
		{ id: 'potion2-purple', position: [18, 0] },
		{ id: 'potion2-pink', position: [19, 0] },
		{ id: 'potion2-green', position: [20, 0] },
		{ id: 'potion2-olive', position: [21, 0] },
		{ id: 'potion2-black', position: [22, 0] },
		{ id: 'potion2-white', position: [23, 0] },
		{ id: 'potion2-lime', position: [24, 0] },
		{ id: 'potion2-magenta', position: [25, 0] },
		{ id: 'potion2-water', position: [26, 0] },
		{ id: 'potion2-rainbow', position: [27, 0] },
		{ id: 'jug-empty', position: [28, 0] },
		{ id: 'jug-red', position: [29, 0] },
		{ id: 'jug-yellow', position: [30, 0] },
		{ id: 'jug-blue', position: [31, 0] },
		{ id: 'jug-purple', position: [32, 0] },
		{ id: 'jug-pink', position: [33, 0] },
		{ id: 'jug-green', position: [34, 0] },
		{ id: 'jug-olive', position: [35, 0] },
		{ id: 'jug-black', position: [36, 0] },
		{ id: 'jug-white', position: [37, 0] },
		{ id: 'jug-lime', position: [38, 0] },
		{ id: 'jug-magenta', position: [39, 0] },
		{ id: 'jug-water', position: [40, 0] },
		{ id: 'jug-rainbow', position: [41, 0] },
		{ id: 'tall-empty', position: [42, 0] },
		{ id: 'tall-yellow', position: [43, 0] },
		{ id: 'tall-red', position: [44, 0] },
		{ id: 'tall-blue', position: [45, 0] },
		{ id: 'tall-green', position: [46, 0] },
		{ id: 'tall-black', position: [47, 0] },
		{ id: 'tall-white', position: [48, 0] },
		{ id: 'tall-purple', position: [49, 0] },
		{ id: 'tall-cyan', position: [50, 0] },
		{ id: 'tall-orange', position: [51, 0] },
		{ id: 'flask', position: [52, 0] },
		{ id: 'potion3-blue', position: [53, 0] },
		{ id: 'potion3-green', position: [54, 0] },
		{ id: 'potion3-red', position: [55, 0] },
		{ id: 'potion3-white', position: [56, 0] },
		{ id: 'potion3-orange', position: [57, 0] },
		{ id: 'ketchup', position: [58, 0] },
		{ id: 'milk-empty', position: [59, 0] },
		{ id: 'milk-full', position: [60, 0] }

		// { id: '', position: [#, #] },
	].forEach(function (map) {
		map.id = 'ars-botanica.items.' + map.id;
		map.sheet = map.sheet || 'ars-botanica.henrysoftware.items';
		mappings.push(map);
	});
};
